/*
 * This file is part of roccat-tools.
 *
 * roccat-tools is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * roccat-tools is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with roccat-tools. If not, see <http://www.gnu.org/licenses/>.
 */

#include "konextdconfig_application.h"
#include "roccat_warning_dialog.h"

int main(int argc, char **argv) {
	KonextdconfigApplication *app;

	roccat_secure();

#if !(GLIB_CHECK_VERSION(2, 36, 0))
	g_type_init();
#endif
	gtk_init(&argc, &argv);

	app = konextdconfig_application_new();

	gtk_main();

	konextdconfig_application_free(app);

	return 0;
}
